%define modname mcrypt
%define soname %{modname}
%define inifile 30_%{modname}.ini

Summary:	Bindings for the libmcrypt library
Name:		php-%{modname}
Version:	1.0.4
Epoch:    	4
Release:	%mkrel 2
Source0:	https://pecl.php.net/get/mcrypt-%{version}.tgz
Group:		Development/PHP
License:	PHP License
URL:		https://pecl.php.net/package/mcrypt
BuildRequires:	libmcrypt-devel
BuildRequires:	mercurial
BuildRequires:	php-devel >= 3:8.0.0
Requires:       php >= 3:8.1.0
Requires:       php-common = 3:8.1
Provides:	php-%{modname} = %{version}-%{release}
Obsoletes:	php-pecl-mcrypt

%description
Provides bindings for the unmaintained libmcrypt.

%prep
%autosetup -S hg -n %{modname}-%{version}

%build
%serverbuild

export EXTENSION_DIR="%{_libdir}/php/extensions"
phpize
%configure --with-libdir=%{_lib} \
	--with-%{modname}=shared,%{_prefix}

%make_build

%install
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions
install -m0755 modules/%{soname}.so %{buildroot}%{_libdir}/php/extensions/

echo "extension = %{modname}" > %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%files
%config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%{_libdir}/php/extensions/%{soname}.so



%changelog
* Fri Nov 26 2021 mokraemer <mokraemer> 4:1.0.4-2.mga9
+ Revision: 1759375
- rebuild for php 8.1

* Wed Dec 02 2020 mokraemer <mokraemer> 4:1.0.4-1.mga8
+ Revision: 1651591
- new version 1.0.4

* Wed Dec 02 2020 mokraemer <mokraemer> 4:1.0.3-1.mga8
+ Revision: 1651385
- fix for gcc
- new version 1.0.3

* Thu Jun 18 2020 mokraemer <mokraemer> 4:1.0.2-4.mga8
+ Revision: 1596231
- fix dep to current version

* Tue Feb 18 2020 umeabot <umeabot> 4:1.0.2-3.mga8
+ Revision: 1538980
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 4:1.0.2-2.mga8
+ Revision: 1463531
+ rebuild (emptylog)

* Thu Jan 10 2019 mokraemer <mokraemer> 4:1.0.2-1.mga7
+ Revision: 1354629
- new version 1.0.2

* Wed Dec 12 2018 mokraemer <mokraemer> 4:1.0.1-9.mga7
+ Revision: 1340420
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 4:1.0.1-8.mga7
+ Revision: 1326072
- add epoch
- moved package name
- rename package

* Fri Oct 26 2018 mokraemer <mokraemer> 1.0.1-5.mga7
+ Revision: 1325724
- fix Obsoletes

* Fri Oct 26 2018 mokraemer <mokraemer> 1.0.1-4.mga7
+ Revision: 1325711
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 1.0.1-3.mga7
+ Revision: 1300233
- Mageia 7 Mass Rebuild

* Mon Dec 18 2017 mokraemer <mokraemer> 1.0.1-2.mga7
+ Revision: 1183285
+ rebuild (emptylog)

* Mon Dec 04 2017 mokraemer <mokraemer> 1.0.1-1.mga7
+ Revision: 1181284
- added support for old mcrypt
- Created package structure for php-pecl-mcrypt.

